Green background with large Stockman S watermark

Supported Browsers

Our online banking vendor will no longer support Internet Explorer 11.

This does not mean that online banking will not function with an unsupported browser, but it is not recommended. 

Below is a list of supported browsers

  • Google Chrome (latest version)
  • Mozilla Firefox (latest version)
  • Safari (latest version)
  • Microsoft Edge (latest version)

Please note that our Careers Page will no longer function with unsupported browsers.

Older versions may not operate as well and functions may not be available, so it is always recommended to use the most recent version.

Support Dashboard will continue to operate on Internet Explorer 11 for the time being but it is not going to work as efficiently as other browsers such as Google Chrome.


System Requirements